<?php
/**
 * @package     Reporter for VirtueMart
 * 
 * @copyright   Copyright (C) 2012-2019 VirtuePlanet Services LLP. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Abhishek Das <info@virtueplanet.com> - https://www.virtueplanet.com
 */

defined('_JEXEC') or die;

use Joomla\Registry\Registry;

jimport('joomla.form.formfield');

JFormHelper::loadFieldClass('Filelist');

class JFormFieldVpfilelist extends JFormFieldFilelist
{
	public $type = 'vpfilelist';
	
	protected function getInput()
	{
		$html = parent::getInput();
		
		if (!empty($this->element['hint']))
		{
			$html .= '<div class="muted small">' . JText::_($this->element['hint']) . '</div>';
		}
		
		return $html;
	}
}